Skip to main content
POST
/
payment-batches
Create a payment batch
curl --request POST \
  --url https://api.equalsmoney.com/v2/payment-batches \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "string",
  "visible": true,
  "payments": {
    "defaultFundingBudgetId": "771967a7-f0f7-4137-a6bf-494452ba6549",
    "rows": [
      {
        "amount": "string",
        "currencyCode": "USD",
        "fundingBudgetId": "6ee672f6-226f-4a72-8592-0f8dc5284ab1",
        "purposeCode": "string",
        "purpose": "string",
        "reference": "string",
        "externalId": "string",
        "recipient": {
          "id": "string",
          "defaultReference": "string",
          "type": "individual",
          "name": "string",
          "displayName": "string",
          "subscribedEmails": [
            {
              "name": "string",
              "email": "user@example.com"
            }
          ],
          "accountIdentifier": "string",
          "bankIdentifier": "string",
          "secondaryBankIdentifier": "string",
          "intermediaryBankIdentifier": "string",
          "paymentNetwork": "SWIFT",
          "address": {
            "addressType": "ADDR",
            "streetName": "string",
            "buildingNumber": "string",
            "buildingName": "string",
            "postcode": "string",
            "city": "string",
            "region": "string",
            "countryCode": "GB"
          },
          "bankAddress": {
            "countryCode": "GB"
          }
        }
      }
    ]
  }
}
'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "accountId": "string",
  "name": "string",
  "createdBy": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "person"
  },
  "product": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "status": "draft",
  "visible": true,
  "visibleAt": "2019-08-24T14:15:22Z",
  "confirmedBy": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "person"
  },
  "confirmedAt": "2019-08-24T14:15:22Z",
  "passedMfaCheckAt": "2019-08-24T14:15:22Z",
  "riskCheckedAt": "2019-08-24T14:15:22Z",
  "ordersSentAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "alerts": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "type": "Error",
      "code": "string",
      "message": "string"
    }
  ],
  "ordersSummary": {
    "numberOfOrders": 0,
    "uniqueCurrencyCodes": [
      "USD"
    ]
  },
  "input": {
    "format": "json",
    "status": "accepted",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

name
string

The name of the Payment Batch, if one is not provided then a default name will be generated.

Maximum string length: 256
visible
boolean

Whether the payment batch is visible to other API users

payments
object

Response

Created

id
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36
accountId
string
required

The ID of the account the Payment Batch belongs.

Maximum string length: 16
name
string | null
required

The name of the Payment Batch.

Maximum string length: 256
createdBy
object
required

The creator of the payment batch.

product
object
required
status
enum<string>
required

The status of the Payment Batch.

Available options:
draft,
validated,
confirmed,
started,
completed,
failed,
cancelled
visible
boolean | null
required

Whether the payment batch is visible to other API users

visibleAt
string<date-time> | null
required

Timestamp indicating when the payment batch was made visible. UTC.

confirmedBy
object
required

The initiator of the payment batch.

confirmedAt
string<date-time> | null
required

Timestamp indicating when the payment batch was confirmed. UTC.

passedMfaCheckAt
string<date-time> | null
required

Timestamp indicating when the payment batch passed MFA check. UTC.

riskCheckedAt
string<date-time> | null
required

Timestamp indicating when the payment batch was risk checked. UTC.

ordersSentAt
string<date-time> | null
required

Timestamp indicating when the orders were sent. UTC.

createdAt
string<date-time>
required

Timestamp indicating when the payment batch was created. UTC.

updatedAt
string<date-time>
required

Timestamp indicating when the payment batch was updated. UTC.

input
object
required
alerts
object[] | null
ordersSummary
object